Repository 32bit  Forum
Repository 64bit  Wiki

kernel 2.6.16.1 e moduli per l'accelerazione grafica

Scrivete su questo forum se avete problemi o volete dare buoni consigli sui computer portatili (Laptop).

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Citare il modello preciso del laptop in questione.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

kernel 2.6.16.1 e moduli per l'accelerazione grafica

Messaggioda bloody » gio apr 27, 2006 16:32

salve ragazzi...scusate la domanda "niubbosa" ma non riesco a trovare i moduli da abilitare nel kernel sopracitato che consentono di attivare l'accelerazione 3d sulla mia "ati mobility radeon 9700"

qualcuno potrebbe dirmi esattamente i percorsi dei moduli per piacere?

grazie in anticipo
Avatar utente
bloody
Linux 1.0
Linux 1.0
 
Messaggi: 22
Iscritto il: dom set 25, 2005 17:38

Messaggioda Paoletta » gio apr 27, 2006 16:41

Device Drivers --->Character devices --->

devi abilitare
/dev/agpgart (AGP Support)
Direct Rendering Manager (XFree86 4.1.0 and higher DRI support)
il supporto per l'agp per il tuo chipset (nel mio caso VIA chipset support )

se vuoi usare i driver nativi, anche
ATI Radeon (ti consigilerei di metterli come modulo così per utilizzare i driver proprietari non ci saranno problemi)
Avatar utente
Paoletta
Staff
Staff
 
Messaggi: 3898
Iscritto il: dom apr 24, 2005 23:00
Località: Varese
Slackware: 13.1
Desktop: fluxbox

Messaggioda bloody » gio apr 27, 2006 19:55

provo subito :wink:
Avatar utente
bloody
Linux 1.0
Linux 1.0
 
Messaggi: 22
Iscritto il: dom set 25, 2005 17:38

Messaggioda bloody » gio apr 27, 2006 21:59

ho provato abilitando quelle cose ma non mi funziona ancora...
ho fatto partire il .run ma mi si è impiantato
ti riporto l'ultima parte del file "/usr/share/fglrx/fglrx-install.log"

Codice: Seleziona tutto
In file included from include/linux/pci.h:26,
                 from /lib/modules/fglrx/build_mod/firegl_agpgart/firegl_wrap.c:74:
include/linux/pci_ids.h:2104:1: warning: this is the location of the previous definition
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_wrap.c: In function `__ke_phys_to_virt':
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_wrap.c:660: warning: passing arg 1 of `phys_to_virt' makes integer from pointer without a cast
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_wrap.c:660: warning: return makes integer from pointer without a cast
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_wrap.c: In function `__ke_verify_area':
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_wrap.c:1123: warning: implicit declaration of function `verify_area'
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_wrap.c: In function `__ke_get_vm_phys_addr':
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_wrap.c:1362: warning: passing arg 1 of `pmd_offset' from incompatible pointer type
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_wrap.c: In function `__ke_vm_phys_addr_str':
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_wrap.c:1818: warning: passing arg 1 of `pmd_offset' from incompatible pointer type
include/linux/module.h: At top level:
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_wrap.c:333: warning: `firegl_stub_list' defined but not used
  CC [M]  /lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.o
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:2:1: warning: "/*" within comment
In file included from /lib/modules/fglrx/build_mod/firegl_agpgart/agp.h:32,
                 from /lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:28:
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.h:759:1: warning: "PCI_DEVICE_ID_INTEL_ICH7_1" redefined
In file included from include/linux/pci.h:26,
                 from /lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:17:
include/linux/pci_ids.h:2104:1: warning: this is the location of the previous definition
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c: In function `firegl_agp_init':
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:301: warning: `inter_module_register' is deprecated (declared at include/linux/module.h:571)
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:302: warning: `inter_module_register' is deprecated (declared at include/linux/module.h:571)
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c: In function `firegl_agp_exit':
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:327: warning: `inter_module_unregister' is deprecated (declared at include/linux/module.h:572)
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:328: warning: `inter_module_unregister' is deprecated (declared at include/linux/module.h:572)
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:332: warning: `inter_module_put' is deprecated (declared at include/linux/module.h:575)
  LD [M]  /lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.o
  Building modules, stage 2.
  MODPOST
*** Warning: "inter_module_register" [/lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko] undefined!
*** Warning: "inter_module_put" [/lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko] undefined!
*** Warning: "verify_area" [/lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko] undefined!
*** Warning: "inter_module_get_request" [/lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko] undefined!
*** Warning: "inter_module_unregister" [/lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko] undefined!
  CC      /lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.mod.o
  LD [M]  /lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko
make[1]: Leaving directory `/home/bloodymir/sorgenti/linux-2.6.16.1'
AGPGART build succeeded with return value 0
 finished compiling for fglrx_agp
duplicating results into driver repository...
done.
==============================
- creating symlink
- recreating module dependency list
- trying a sample load of the kernel modules
failed.
[Error] Kernel Module : Failed to install compiled kernel module - please consult readme.


cosa ho sbagliato?
Avatar utente
bloody
Linux 1.0
Linux 1.0
 
Messaggi: 22
Iscritto il: dom set 25, 2005 17:38

Messaggioda pado » ven apr 28, 2006 0:17

bloody ha scritto:*** Warning: "inter_module_register" [/lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko] undefined!
*** Warning: "inter_module_put" [/lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko] undefined!
*** Warning: "verify_area" [/lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko] undefined!
*** Warning: "inter_module_get_request" [/lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko] undefined!
*** Warning: "inter_module_unregister" [/lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko] undefined!


controlla nel .config del tuo kernel se questa voce "CONFIG_OBSOLETE_INTERMODULE" è abilitata (m oppure y).
se non è abilitata dovrai ricompilare il kernel.
Avatar utente
pado
Linux 1.0
Linux 1.0
 
Messaggi: 77
Iscritto il: gio ott 09, 2003 23:00
Località: Mantova
Nome Cognome: Moreno P.
Slackware: 14.0 - 64 bit
Kernel: 3.2.28
Desktop: xfce 4.10
Distribuzione: SalixOS 64 14.0

Messaggioda bloody » ven apr 28, 2006 8:51

mmm....questa voce proprio non c'è...
devo inserirla a manina e poi ricompilare?
Avatar utente
bloody
Linux 1.0
Linux 1.0
 
Messaggi: 22
Iscritto il: dom set 25, 2005 17:38

Messaggioda Bart » ven apr 28, 2006 9:41

Paoletta ha scritto:Device Drivers --->Character devices --->

devi abilitare
/dev/agpgart (AGP Support)
Direct Rendering Manager (XFree86 4.1.0 and higher DRI support)
il supporto per l'agp per il tuo chipset (nel mio caso VIA chipset support )

se vuoi usare i driver nativi, anche
ATI Radeon (ti consigilerei di metterli come modulo così per utilizzare i driver proprietari non ci saranno problemi)

Penso che Paoletta intendesse qualcosa del genere (ti riporto il mio config):
Codice: Seleziona tutto
CONFIG_AGP=m
# CONFIG_AGP_ALI is not set
# CONFIG_AGP_ATI is not set
# CONFIG_AGP_AMD is not set
# CONFIG_AGP_AMD64 is not set
CONFIG_AGP_INTEL=m
# CONFIG_AGP_NVIDIA is not set
# CONFIG_AGP_SIS is not set
# CONFIG_AGP_SWORKS is not set
# CONFIG_AGP_VIA is not set
# CONFIG_AGP_EFFICEON is not set
Bart
Staff
Staff
 
Messaggi: 4248
Iscritto il: dom ago 08, 2004 23:00
Località: Rimini

Messaggioda bloody » ven apr 28, 2006 10:27

questo è il mio:
Codice: Seleziona tutto
# Ftape, the floppy tape device driver
#
CONFIG_AGP=y
# CONFIG_AGP_ALI is not set
CONFIG_AGP_ATI=y
# CONFIG_AGP_AMD is not set
# CONFIG_AGP_AMD64 is not set
CONFIG_AGP_INTEL=y
# CONFIG_AGP_NVIDIA is not set
# CONFIG_AGP_SIS is not set
# CONFIG_AGP_SWORKS is not set
# CONFIG_AGP_VIA is not set
# CONFIG_AGP_EFFICEON is not set
CONFIG_DRM=y
# CONFIG_DRM_TDFX is not set
# CONFIG_DRM_R128 is not set
CONFIG_DRM_RADEON=m
# CONFIG_DRM_I810 is not set
# CONFIG_DRM_I830 is not set
# CONFIG_DRM_I915 is not set
# CONFIG_DRM_MGA is not set
# CONFIG_DRM_SIS is not set
# CONFIG_DRM_VIA is not set
# CONFIG_DRM_SAVAGE is not set
# CONFIG_MWAVE is not set
# CONFIG_CS5535_GPIO is not set
# CONFIG_RAW_DRIVER is not set
# CONFIG_HPET is not set
# CONFIG_HANGCHECK_TIMER is not set
Avatar utente
bloody
Linux 1.0
Linux 1.0
 
Messaggi: 22
Iscritto il: dom set 25, 2005 17:38

Messaggioda Paoletta » ven apr 28, 2006 17:20

se il tuo chipset è intel allora CONFIG_AGP_ATI=y è superfluo...il resto è ok!guarda anche quel che ti ha detto pado, oppure
http://www.slacky.it/forum/viewtopic.ph ... hlight=ati
Avatar utente
Paoletta
Staff
Staff
 
Messaggi: 3898
Iscritto il: dom apr 24, 2005 23:00
Località: Varese
Slackware: 13.1
Desktop: fluxbox

Messaggioda pado » ven apr 28, 2006 23:48

bloody ha scritto:mmm....questa voce proprio non c'è...
devo inserirla a manina e poi ricompilare?


si, purtroppo devi inserirla tu a mano se non c'è...
puoi andare a questo indirizzo per i dettagli: http://rage3d.com/board/showthread.php?p=1334218607
Avatar utente
pado
Linux 1.0
Linux 1.0
 
Messaggi: 77
Iscritto il: gio ott 09, 2003 23:00
Località: Mantova
Nome Cognome: Moreno P.
Slackware: 14.0 - 64 bit
Kernel: 3.2.28
Desktop: xfce 4.10
Distribuzione: SalixOS 64 14.0

Messaggioda pado » sab apr 29, 2006 0:15

bloody ha scritto:mmm....questa voce proprio non c'è...
devo inserirla a manina e poi ricompilare?


un altro indirizzo per i dettagli:http://support.zenwalk.org/index.php?topic=914.0
Avatar utente
pado
Linux 1.0
Linux 1.0
 
Messaggi: 77
Iscritto il: gio ott 09, 2003 23:00
Località: Mantova
Nome Cognome: Moreno P.
Slackware: 14.0 - 64 bit
Kernel: 3.2.28
Desktop: xfce 4.10
Distribuzione: SalixOS 64 14.0

Messaggioda bloody » sab apr 29, 2006 10:01

ok proverò e vi farò sapere...grazie per l'aiuto! :wink:
Avatar utente
bloody
Linux 1.0
Linux 1.0
 
Messaggi: 22
Iscritto il: dom set 25, 2005 17:38

Messaggioda bloody » dom apr 30, 2006 22:05

ciao ragazzi...purtroppo non sono riuscito
ho seguito pari pari la guida linkata da pado
si, purtroppo devi inserirla tu a mano se non c'è...
puoi andare a questo indirizzo per i dettagli: http://rage3d.com/board/showthread.php?p=1334218607


ma nulla....

la cosa strana è che hoinserito la riga
Codice: Seleziona tutto
CONFIG_OBSOLETE_INTERMODULE=y

come da guida ma se, dopo aver ricompilato, provo ad aprire il file .config...magia delle magie...è sparita :shock:

comunque ora il file di log termina così:
Codice: Seleziona tutto
In file included from include/linux/pci.h:26,
                 from /lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:17:
include/linux/pci_ids.h:2104:1: warning: this is the location of the previous definition
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c: In function `firegl_agp_init':
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:301: warning: `inter_module_register' is deprecated (declared at include/linux/module.h:571)
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:302: warning: `inter_module_register' is deprecated (declared at include/linux/module.h:571)
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c: In function `firegl_agp_exit':
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:327: warning: `inter_module_unregister' is deprecated (declared at include/linux/module.h:572)
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:328: warning: `inter_module_unregister' is deprecated (declared at include/linux/module.h:572)
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:332: warning: `inter_module_put' is deprecated (declared at include/linux/module.h:575)
  LD [M]  /lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.o
  Building modules, stage 2.
  MODPOST
*** Warning: "verify_area" [/lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko] undefined!
  CC      /lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.mod.o
  LD [M]  /lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko
make[1]: Leaving directory `/home/bloodymir/sorgenti/linux-2.6.16.1'
AGPGART build succeeded with return value 0
 finished compiling for fglrx_agp
duplicating results into driver repository...
done.
==============================
- creating symlink
- recreating module dependency list
- trying a sample load of the kernel modules
failed.
[Error] Kernel Module : Failed to install compiled kernel module - please consult readme.


avete qualche idea?
Avatar utente
bloody
Linux 1.0
Linux 1.0
 
Messaggi: 22
Iscritto il: dom set 25, 2005 17:38

Messaggioda bloody » dom apr 30, 2006 22:44

fermi tutti :wink:
non so perchè ma sono riuscito a installare il file .run
comunque ora mi si pone un nuovo problema...
aticonfig mi genera il tanto odiato "command not found".... :shock:

?????
Avatar utente
bloody
Linux 1.0
Linux 1.0
 
Messaggi: 22
Iscritto il: dom set 25, 2005 17:38

Messaggioda bloody » lun mag 01, 2006 10:52

rettifico.... eseguendo l'installazione del .run da x sembrava che fosse andato tutto bene...poi sono andato a guardare il file di log

e ho trovato il solito
Codice: Seleziona tutto
 In file included from include/linux/pci.h:26,
                 from /lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:17:
include/linux/pci_ids.h:2104:1: warning: this is the location of the previous definition
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c: In function `firegl_agp_init':
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:301: warning: `inter_module_register' is deprecated (declared at include/linux/module.h:571)
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:302: warning: `inter_module_register' is deprecated (declared at include/linux/module.h:571)
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c: In function `firegl_agp_exit':
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:327: warning: `inter_module_unregister' is deprecated (declared at include/linux/module.h:572)
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:328: warning: `inter_module_unregister' is deprecated (declared at include/linux/module.h:572)
/lib/modules/fglrx/build_mod/firegl_agpgart/firegl_agp.c:332: warning: `inter_module_put' is deprecated (declared at include/linux/module.h:575)
  LD [M]  /lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.o
  Building modules, stage 2.
  MODPOST
*** Warning: "verify_area" [/lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko] undefined!
  CC      /lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.mod.o
  LD [M]  /lib/modules/fglrx/build_mod/firegl_agpgart/fglrx_agp.ko
make[1]: Leaving directory `/home/bloodymir/sorgenti/linux-2.6.16.1'
AGPGART build succeeded with return value 0
 finished compiling for fglrx_agp
duplicating results into driver repository...
done.
==============================
- creating symlink
- recreating module dependency list
- trying a sample load of the kernel modules
failed.
[Error] Kernel Module : Failed to install compiled kernel module - please consult readme.


aiutatemi non so + che fare...
Avatar utente
bloody
Linux 1.0
Linux 1.0
 
Messaggi: 22
Iscritto il: dom set 25, 2005 17:38

Prossimo

Torna a Laptop

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite